//: C07:VectorOverflow.cpp {-bor}
// Z knihy "Myslíme v jazyce C++, část 2" od Bruce Eckela a Chucka Allisona.
// (c) 1995-2004 MindView, Inc. Všechna práva vyhrazena.
// Přečtěte si podmínky používání zdrojových kódů umístěné v souboru 
// 'Licence.txt' dodávaném spolu s balíčkem kódu dostupným na www.MindView.net.
// Ukazuje použití kopírovacích konstruktorů a destruktorů, 
// když musí vektor přealokovat své úložiště.
//{L} Noisy
#include <cstdlib>
#include <iostream>
#include <string>
#include <vector>
#include "Noisy.h"
using namespace std;

int main(int argc, char* argv[]) {
  int velikost = 1000;
  if(argc >= 2) velikost = atoi(argv[1]);
  vector<Noisy> vn;
  Noisy n;
  for(int i = 0; i < velikost; i++)
    vn.push_back(n);
  cout << "\n Úklid " << endl;
} ///:~
